Message Queue, v4.4 API Specification

## com.sun.messaging.jms.management.server
Class DestinationType

    java.lang.Object
      com.sun.messaging.jms.management.server.DestinationType

    public class DestinationType

extends java.lang.Object

Class containing information on destination types.

Field Summary
`static java.lang.String` `QUEUE` Queue destination type
`static java.lang.String` `TOPIC` Topic destination type

Method Summary
`static java.lang.String` `toStringLabel(java.lang.String type)` Returns a human readable representation of the specified destination type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUEUE

    public static final java.lang.String QUEUE

  Queue destination type

  See Also:
    Constant Field Values

### TOPIC

    public static final java.lang.String TOPIC

  Topic destination type

  See Also:
    Constant Field Values

Method Detail

### toStringLabel

    public static java.lang.String toStringLabel(java.lang.String type)

  Returns a human readable representation of the specified destination type.

  Parameters:
    `type` - Destination type
  Returns:
    String representation of the specified destination type

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.